/************************************************************************
*									*
*				SBLibrary				*
*									*
*	by David Annett, 3 Sutherland Ave, Upper Hutt, New Zealand	*
*									*
*				17 July 89				*
*									*
*************************************************************************/

include "sb.h"

extern int level;


void PrLibrary(string, library) char *string; struct Library *library;
{
static struct StructData structdata[] = {
     { " lib_Node",     "struct Node",             0, SZ(Node) },
     { "-lib_Flags",    "UBYTE",                   3, BYTESIZE },
     { "-lib_pad",      "UBYTE",                   3, BYTESIZE },
     { "-lib_NegSize",  "UWORD",                   2, INTSIZE  },
     { "-lib_PosSize",  "UWORD",                   2, INTSIZE  },
     { "-lib_Version",  "UWORD",                   2, INTSIZE  },
     { "-lib_Revision", "UWORD",                   2, INTSIZE  },
     { "-lib_IdString", "APTR",                    4, PTRSIZE  },
     { "-lib_Sum",      "ULONG",                   1, PTRSIZE  },
     { "-lib_OpenCnt",  "UWORD",                   2, INTSIZE  }
  };
int sum, choice = -1;
  level++;
  while (choice) {
    sum = SetOptionText(string, structdata, (APTR)library, DATASIZE, 0);
    switch (choice = GetChoice(DATASIZE)) {
      case 1:
          PrNode("Library->lib_Node", &library->lib_Node);
          break;
    }
  }
  level--;
}

